local scale = 0.8 --you can change this to create a bigger or smaller ring

Hooks:PostHook(HUDTeammate,"_create_radial_health","create_stamina_circle_standalone",function(self,radial_health_panel)
	local stam2 = radial_health_panel:bitmap({
		texture = "guis/dlcs/coco/textures/pd2/hud_absorb_stack_fg",
		name = "stamina_circle_standalone",
		visible = self._main_player,
		render_template = "VertexColorTexturedRadial",
		layer = 5,
		color = Color(1023,1023,1023),
		w = radial_health_panel:w() * scale,
		h = radial_health_panel:h() * scale
	})
	stam2:set_center(radial_health_panel:w() / 2,radial_health_panel:h() / 2)	
	self._standalone_stamina_circle = stam2
end)

function HUDTeammate:set_stamina_standalone(data)
	if self._main_player then 
		local stamina = self._standalone_stamina_circle
		if not stamina then 
			return
		end
		local color = stamina:color()
		local current = data.current or color.g
		local cap = data.cap or color.b

		local ratio = current / cap
		if data and (data.current or data.cap) then 
			stamina:set_color(Color(ratio,tonumber(current or 1),tonumber(cap or 1)))
		end
--		stamina:set_rotation((1 - ratio) * 360)
	end
end